UDEVINFO(8)

NAME
udevinfo - query device information from the udev database

SYNOPSIS

udevinfo [--query=query-type] [--path=devpath] [--name=node] [--root] [--attribute-walk] [--export-db] [--version] [--help]

DESCRIPTION

udevinfo queries the udev database for device information stored in the udev database. It can also query the properties of a device from its sysfs representation to help creating udev rules that match this device.

OPTIONS

--query=type
    Query the database for specified type of device data. It needs the --path or --name to identify the specified device. Valid queries are: name, symlink, path, env, all.

--path=devpath
    The devpath of the device to query.

--name=node
    The name of the device node or a symlink to query

--root
    The udev root directory: /dev. If used in conjunction with a name or symlink query, the query returns the absolute path including the root directory.

--attribute-walk
    Print all sysfs properties of the specified device that can be used in udev rules to match the specified device. It prints all devices along the chain, up to the root of sysfs that can be used in udev rules.

--export
    Export the content of the udev database.

--help
    Print help text.

AUTHOR

Written by Kay Sievers <kay.sievers@vrfy.org>.

SEE ALSO

udev(7)